package okapi.net.protocol;

/**
 * A ConnectMessage is sent by nodes wishing to connect to an Okapi Scheduler
 * Server. It contains various information about the nodes processing power
 * to help the scheduler determine where to place jobs.
 * @author Sean Kelly
 */
public class ConnectMessage extends OkapiNetMessage {
    public int numJobs; // Indicates the number of jobs the SlaveNode
                        // will accept
    public int availCores; // Number of cores available on the machine
    /* More room here for hardware stats if load balancing becomes more
    * complex.
    */
    
    public ConnectMessage()
    {
        this.type = OkapiMessageType.CONNECTMESSAGE;
    }
}
