package okapi.net.protocol;

import okapi.OkapiProcess;

/**
 * A ProcessResponse is sent by remote nodes back to a SchedulerServer when
 * they have completed a process assigned to them. A Process Response holds
 * the completed process as well as any exception that may have been thrown.
 * @author Sean Kelly
 */
public class ProcessResponse extends OkapiNetMessage {
    public Exception e = null;
    public OkapiProcess finished;
    
    public ProcessResponse()
    {
        this.type = OkapiMessageType.PROCESSRESPONSE;
    }
}
